### Hierarchy

- Serializer

## Index

### Constructors

- constructor

### Methods

- buildCollisionLayer
- metadataToJson
- toJson
- fromJson

## Constructors

### constructor

- new Serializer(game: GameData): Serializer

- - Defined in parser/serializer.ts:470

  #### Parameters

  - ##### game: GameData

  #### Returns Serializer

## Methods

### buildCollisionLayer

- buildCollisionLayer(item: CollisionLayer): string

- - Defined in parser/serializer.ts:530

  #### Parameters

  - ##### item: CollisionLayer

  #### Returns string

### metadataToJson

- metadataToJson(): IGraphGameMetadata

- - Defined in parser/serializer.ts:533

  #### Returns IGraphGameMetadata

### toJson

- toJson(): IGraphJson

- - Defined in parser/serializer.ts:556

  #### Returns IGraphJson

### Static fromJson

- fromJson(source: IGraphJson, code: string): GameData

- - Defined in parser/serializer.ts:245

  #### Parameters

  - ##### source: IGraphJson

  - ##### code: string

  #### Returns GameData

Generated using TypeDoc